"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MediaPackageClient_1 = require("./MediaPackageClient");
const CreateChannelCommand_1 = require("./commands/CreateChannelCommand");
const CreateOriginEndpointCommand_1 = require("./commands/CreateOriginEndpointCommand");
const DeleteChannelCommand_1 = require("./commands/DeleteChannelCommand");
const DeleteOriginEndpointCommand_1 = require("./commands/DeleteOriginEndpointCommand");
const DescribeChannelCommand_1 = require("./commands/DescribeChannelCommand");
const DescribeOriginEndpointCommand_1 = require("./commands/DescribeOriginEndpointCommand");
const ListChannelsCommand_1 = require("./commands/ListChannelsCommand");
const ListOriginEndpointsCommand_1 = require("./commands/ListOriginEndpointsCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const RotateChannelCredentialsCommand_1 = require("./commands/RotateChannelCredentialsCommand");
const RotateIngestEndpointCredentialsCommand_1 = require("./commands/RotateIngestEndpointCredentialsCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateChannelCommand_1 = require("./commands/UpdateChannelCommand");
const UpdateOriginEndpointCommand_1 = require("./commands/UpdateOriginEndpointCommand");
class MediaPackage extends MediaPackageClient_1.MediaPackageClient {
    createChannel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateChannelCommand_1.CreateChannelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createOriginEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateOriginEndpointCommand_1.CreateOriginEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteChannel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteChannelCommand_1.DeleteChannelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteOriginEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteOriginEndpointCommand_1.DeleteOriginEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeChannel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeChannelCommand_1.DescribeChannelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeOriginEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeOriginEndpointCommand_1.DescribeOriginEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listChannels(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListChannelsCommand_1.ListChannelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listOriginEndpoints(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListOriginEndpointsCommand_1.ListOriginEndpointsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listTagsForResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    rotateChannelCredentials(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RotateChannelCredentialsCommand_1.RotateChannelCredentialsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    rotateIngestEndpointCredentials(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RotateIngestEndpointCredentialsCommand_1.RotateIngestEndpointCredentialsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    tagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    untagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateChannel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateChannelCommand_1.UpdateChannelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateOriginEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateOriginEndpointCommand_1.UpdateOriginEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.MediaPackage = MediaPackage;
//# sourceMappingURL=MediaPackage.js.map