/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateChannelInput } from "../types/CreateChannelInput";
import { CreateChannelOutput } from "../types/CreateChannelOutput";
import { MediaPackageResolvedConfiguration } from "../MediaPackageConfiguration";
export * from "../types/CreateChannelInput";
export * from "../types/CreateChannelOutput";
export * from "../types/CreateChannelExceptionsUnion";
export declare class CreateChannelCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateChannelInput, OutputTypesUnion, CreateChannelOutput, MediaPackageResolvedConfiguration, _stream.Readable> {
    readonly input: CreateChannelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateChannelInput, CreateChannelOutput, _stream.Readable>;
    constructor(input: CreateChannelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaPackageResolvedConfiguration): __aws_sdk_types.Handler<CreateChannelInput, CreateChannelOutput>;
}
