"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateChannel_1 = require("../model/operations/CreateChannel");
class CreateChannelCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateChannel_1.CreateChannel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateChannelCommand = CreateChannelCommand;
//# sourceMappingURL=CreateChannelCommand.js.map