"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateOriginEndpoint_1 = require("../model/operations/CreateOriginEndpoint");
class CreateOriginEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateOriginEndpoint_1.CreateOriginEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateOriginEndpointCommand = CreateOriginEndpointCommand;
//# sourceMappingURL=CreateOriginEndpointCommand.js.map