"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteOriginEndpoint_1 = require("../model/operations/DeleteOriginEndpoint");
class DeleteOriginEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteOriginEndpoint_1.DeleteOriginEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteOriginEndpointCommand = DeleteOriginEndpointCommand;
//# sourceMappingURL=DeleteOriginEndpointCommand.js.map