/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeChannelInput } from "../types/DescribeChannelInput";
import { DescribeChannelOutput } from "../types/DescribeChannelOutput";
import { MediaPackageResolvedConfiguration } from "../MediaPackageConfiguration";
export * from "../types/DescribeChannelInput";
export * from "../types/DescribeChannelOutput";
export * from "../types/DescribeChannelExceptionsUnion";
export declare class DescribeChannelCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeChannelInput, OutputTypesUnion, DescribeChannelOutput, MediaPackageResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeChannelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeChannelInput, DescribeChannelOutput, _stream.Readable>;
    constructor(input: DescribeChannelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaPackageResolvedConfiguration): __aws_sdk_types.Handler<DescribeChannelInput, DescribeChannelOutput>;
}
