"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeChannel_1 = require("../model/operations/DescribeChannel");
class DescribeChannelCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeChannel_1.DescribeChannel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeChannelCommand = DescribeChannelCommand;
//# sourceMappingURL=DescribeChannelCommand.js.map