"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListChannels_1 = require("../model/operations/ListChannels");
class ListChannelsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListChannels_1.ListChannels;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListChannelsCommand = ListChannelsCommand;
//# sourceMappingURL=ListChannelsCommand.js.map