"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListOriginEndpoints_1 = require("../model/operations/ListOriginEndpoints");
class ListOriginEndpointsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListOriginEndpoints_1.ListOriginEndpoints;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListOriginEndpointsCommand = ListOriginEndpointsCommand;
//# sourceMappingURL=ListOriginEndpointsCommand.js.map