"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RotateChannelCredentials_1 = require("../model/operations/RotateChannelCredentials");
class RotateChannelCredentialsCommand {
    constructor(input) {
        this.input = input;
        this.model = RotateChannelCredentials_1.RotateChannelCredentials;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RotateChannelCredentialsCommand = RotateChannelCredentialsCommand;
//# sourceMappingURL=RotateChannelCredentialsCommand.js.map