"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RotateIngestEndpointCredentials_1 = require("../model/operations/RotateIngestEndpointCredentials");
class RotateIngestEndpointCredentialsCommand {
    constructor(input) {
        this.input = input;
        this.model = RotateIngestEndpointCredentials_1.RotateIngestEndpointCredentials;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RotateIngestEndpointCredentialsCommand = RotateIngestEndpointCredentialsCommand;
//# sourceMappingURL=RotateIngestEndpointCredentialsCommand.js.map