"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateChannel_1 = require("../model/operations/UpdateChannel");
class UpdateChannelCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateChannel_1.UpdateChannel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateChannelCommand = UpdateChannelCommand;
//# sourceMappingURL=UpdateChannelCommand.js.map