"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateOriginEndpoint_1 = require("../model/operations/UpdateOriginEndpoint");
class UpdateOriginEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateOriginEndpoint_1.UpdateOriginEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateOriginEndpointCommand = UpdateOriginEndpointCommand;
//# sourceMappingURL=UpdateOriginEndpointCommand.js.map