"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateChannelInput_1 = require("../shapes/CreateChannelInput");
const CreateChannelOutput_1 = require("../shapes/CreateChannelOutput");
const UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateChannel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateChannel",
    http: {
        method: "POST",
        requestUri: "/channels"
    },
    input: {
        shape: CreateChannelInput_1.CreateChannelInput
    },
    output: {
        shape: CreateChannelOutput_1.CreateChannelOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateChannel.js.map