"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateOriginEndpointInput_1 = require("../shapes/CreateOriginEndpointInput");
const CreateOriginEndpointOutput_1 = require("../shapes/CreateOriginEndpointOutput");
const UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateOriginEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateOriginEndpoint",
    http: {
        method: "POST",
        requestUri: "/origin_endpoints"
    },
    input: {
        shape: CreateOriginEndpointInput_1.CreateOriginEndpointInput
    },
    output: {
        shape: CreateOriginEndpointOutput_1.CreateOriginEndpointOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateOriginEndpoint.js.map