"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteOriginEndpointInput_1 = require("../shapes/DeleteOriginEndpointInput");
const DeleteOriginEndpointOutput_1 = require("../shapes/DeleteOriginEndpointOutput");
const UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteOriginEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteOriginEndpoint",
    http: {
        method: "DELETE",
        requestUri: "/origin_endpoints/{id}"
    },
    input: {
        shape: DeleteOriginEndpointInput_1.DeleteOriginEndpointInput
    },
    output: {
        shape: DeleteOriginEndpointOutput_1.DeleteOriginEndpointOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteOriginEndpoint.js.map