"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeChannelInput_1 = require("../shapes/DescribeChannelInput");
const DescribeChannelOutput_1 = require("../shapes/DescribeChannelOutput");
const UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeChannel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeChannel",
    http: {
        method: "GET",
        requestUri: "/channels/{id}"
    },
    input: {
        shape: DescribeChannelInput_1.DescribeChannelInput
    },
    output: {
        shape: DescribeChannelOutput_1.DescribeChannelOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DescribeChannel.js.map