"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListOriginEndpointsInput_1 = require("../shapes/ListOriginEndpointsInput");
const ListOriginEndpointsOutput_1 = require("../shapes/ListOriginEndpointsOutput");
const UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListOriginEndpoints = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListOriginEndpoints",
    http: {
        method: "GET",
        requestUri: "/origin_endpoints"
    },
    input: {
        shape: ListOriginEndpointsInput_1.ListOriginEndpointsInput
    },
    output: {
        shape: ListOriginEndpointsOutput_1.ListOriginEndpointsOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=ListOriginEndpoints.js.map