"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateChannelInput_1 = require("../shapes/UpdateChannelInput");
const UpdateChannelOutput_1 = require("../shapes/UpdateChannelOutput");
const UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateChannel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateChannel",
    http: {
        method: "PUT",
        requestUri: "/channels/{id}"
    },
    input: {
        shape: UpdateChannelInput_1.UpdateChannelInput
    },
    output: {
        shape: UpdateChannelOutput_1.UpdateChannelOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateChannel.js.map