"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateOriginEndpointInput_1 = require("../shapes/UpdateOriginEndpointInput");
const UpdateOriginEndpointOutput_1 = require("../shapes/UpdateOriginEndpointOutput");
const UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
const InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
const ForbiddenException_1 = require("../shapes/ForbiddenException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateOriginEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateOriginEndpoint",
    http: {
        method: "PUT",
        requestUri: "/origin_endpoints/{id}"
    },
    input: {
        shape: UpdateOriginEndpointInput_1.UpdateOriginEndpointInput
    },
    output: {
        shape: UpdateOriginEndpointOutput_1.UpdateOriginEndpointOutput
    },
    errors: [
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateOriginEndpoint.js.map